LinuxQMISDK: GetAudioPathConfigResp Struct Reference

LinuxQMISDK SLQS03.03.07

- Main Page
- Modules
- References
- Data Structures

- Data Structures
- Data Fields

Data Fields
GetAudioPathConfigResp Struct Reference

## Data Fields
BYTE * | pECMode
BYTE * | pNSEnable
WORD * | pTXGain
WORD * | pDTMFTXGain
WORD * | pCodecSTGain
TXPCMIIRFltr * | pTXPCMIIRFltr
RXPCMIIRFltr * | pRXPCMIIRFltr
BYTE * | pMICGainSelect
BYTE * | pRXAVCAGCSwitch
BYTE * | pTXAVCSwitch
RXAGCList * | pRXAGCList
RXAVCList * | pRXAVCList
TXAGCList * | pTXAGCList

## Detailed Description

This structure contains the SLQSGetAudioPathConfig response parameters.

Parameters

  pECMode | [Optional] AV_EC 0 - Echo cancellation off 1 - Handset mode 2 - Headset mode 3 - Car kit mode 4 - Speaker Mode
  pNSEnable | [Optional] AV_NS 0 - Noise suppression off 1 - Noise suppression on
  pTXGain | [Optional] AV_TXVOL 0x0000 - 0xffff
  pDTMFTXGain | [Optional] AV_DTMFTXG 0x0000 - 0xffff
  pCodecSTGain | [Optional] AV_CODECSTG 0x0000 - 0xffff
  pTXPCMIIRFltr | [Optional] See TXPCMIIRFltr for more information
  pRXPCMIIRFltr | [Optional] See RXPCMIIRFltr for more information
  pMICGainSelect | [Optional] AV_MICGAIN
  pRXAVCAGCSwitch | [Optional] RX AVC/AGC Switch
  pTXAVCSwitch | [Optional] TX AVC Switch
  pRXAGCList | [Optional] See RXAGCList for more information
  pRXAVCList | [Optional] See RXAVCList for more information
  pTXAGCList | [Optional] See TXAGCList for more information

## Field Documentation

WORD* GetAudioPathConfigResp::pCodecSTGain

WORD* GetAudioPathConfigResp::pDTMFTXGain

BYTE* GetAudioPathConfigResp::pECMode

BYTE* GetAudioPathConfigResp::pMICGainSelect

BYTE* GetAudioPathConfigResp::pNSEnable

RXAGCList* GetAudioPathConfigResp::pRXAGCList

BYTE* GetAudioPathConfigResp::pRXAVCAGCSwitch

RXAVCList* GetAudioPathConfigResp::pRXAVCList

RXPCMIIRFltr* GetAudioPathConfigResp::pRXPCMIIRFltr

TXAGCList* GetAudioPathConfigResp::pTXAGCList

BYTE* GetAudioPathConfigResp::pTXAVCSwitch

WORD* GetAudioPathConfigResp::pTXGain

TXPCMIIRFltr* GetAudioPathConfigResp::pTXPCMIIRFltr